(*
tell application "Mail"
	set theString to ""
	set selectedMessages to selected messages of first message viewer
	set nbrMessages to count of selectedMessages
	repeat with msgIndex from 1 to nbrMessages
		set currentMsg to item msgIndex of selectedMessages
		set firstRecipient to (first recipient of currentMsg)
		set currentMsgProp to (name of firstRecipient)
		if msgIndex > 1 then
			set theString to (theString & "
" & currentMsgProp)
		else
			set theString to currentMsgProp
		end if
	end repeat
	theString
end tell
*)
set reverseOrder to false

tell application "Mail"
	set theString to ""
	set selectedMessages to selected messages of first message viewer
	if (reverseOrder) then
		set selectedMessages to reverse of selectedMessages
	end if
	set nbrMessages to count of selectedMessages
	repeat with msgIndex from 1 to nbrMessages
		set currentMsg to item msgIndex of selectedMessages
		set theRecipients to (recipients of currentMsg)
		set nbrRecipients to count of theRecipients
		repeat with recipientIndex from 1 to nbrRecipients
			set currentRecipient to item recipientIndex of theRecipients
			if (exists name of currentRecipient) then
				set currentMsgProp to (name of currentRecipient)
				if (length of theString) > 0 then
					set theString to (theString & "
" & currentMsgProp)
				else
					set theString to currentMsgProp
				end if
			end if
		end repeat
	end repeat
	theString
end tell